Ogre::StringSerialiser Class Reference

Serializes data values into a string using sprintf functions. More...

`#include <OgreStringSerialiser.h>`

List of all members.

## Public Member Functions

| StringSerialiser (size_t size=0)
| Initializes the serialiser with a starting buffer size.
| ~StringSerialiser ()
String | str () const
| Returns the generated string.
StringSerialiser & | operator<< (const char *str)
StringSerialiser & | operator<< (const String &str)
StringSerialiser & | operator<< (char val)
StringSerialiser & | operator<< (short val)
StringSerialiser & | operator<< (int val)
StringSerialiser & | operator<< (unsigned char val)
StringSerialiser & | operator<< (unsigned short val)
StringSerialiser & | operator<< (unsigned int val)
StringSerialiser & | operator<< (float val)
StringSerialiser & | operator<< (double val)

## Private Member Functions

void | growBuffer (size_t n)

## Private Attributes

char * | mBuffer
size_t | mBufferSize
size_t | mTotalSize

## Detailed Description

Serializes data values into a string using sprintf functions.

Definition at line 36 of file OgreStringSerialiser.h.

## Constructor & Destructor Documentation

Ogre::StringSerialiser::StringSerialiser | ( | size_t | size = `0` | ) |

Initializes the serialiser with a starting buffer size.

Ogre::StringSerialiser::~StringSerialiser | ( |  | ) |

## Member Function Documentation

void Ogre::StringSerialiser::growBuffer | ( | size_t | n | ) | `[private]`

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | const char * | str | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | const String & | str | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | char | val | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | short | val | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | int | val | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | unsigned char | val | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | unsigned short | val | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | unsigned int | val | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | float | val | ) |

StringSerialiser& Ogre::StringSerialiser::operator<< | ( | double | val | ) |

String Ogre::StringSerialiser::str | ( |  | ) | const

Returns the generated string.

## Member Data Documentation

char* Ogre::StringSerialiser::mBuffer`[private]`

Definition at line 39 of file OgreStringSerialiser.h.

size_t Ogre::StringSerialiser::mBufferSize`[private]`

Definition at line 40 of file OgreStringSerialiser.h.

size_t Ogre::StringSerialiser::mTotalSize`[private]`

Definition at line 40 of file OgreStringSerialiser.h.

The documentation for this class was generated from the following file:

- OgreStringSerialiser.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:41